#
# spec file for package perl-File-Map
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-Map
Name:           perl-File-Map
Version:        0.71
Release:        1.3
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Memory mapping made simple and safe
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Sub::Exporter::Progressive) >= 0.001005
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Warnings) >= 0.005
Requires:       perl(Sub::Exporter::Progressive) >= 0.001005
%{perl_requires}

%description
File::Map maps files or anonymous memory into perl variables.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples metamerge.yml README
%license LICENSE

%changelog
* Tue Apr 11 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.71
  see /usr/share/doc/packages/perl-File-Map/Changes
  0.71      2023-04-10 14:18:43+02:00 Europe/Amsterdam
  - Check layers before statting
  - Split out mmap-compat.c
  0.70      2023-04-02 22:27:45+02:00 Europe/Amsterdam
  - Fix backwards compatability issue
  0.69      2023-04-02 22:07:56+02:00 Europe/Amsterdam
  - Move almost all code from .pm file into .xs file
  0.68      2023-03-25 10:32:11+01:00 Europe/Amsterdam
  - Re-eliminate second magic vtable
  - Eliminate all CODE blocks in XS
* Fri Jun 26 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.67
  see /usr/share/doc/packages/perl-File-Map/Changes
  0.67      2020-06-26 00:26:54+02:00 Europe/Amsterdam
  - Fix unresolved symbol "madvise" on QNX NTO
  - Fix regression that could cause empty maps to crash upon reuse.
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.66
  see /usr/share/doc/packages/perl-File-Map/Changes
  0.66      2018-12-18 16:57:58+01:00 Europe/Amsterdam
  - Warn when buffer gets truncated
* Tue Oct 31 2017 coolo@suse.com
- updated to 0.65
  see /usr/share/doc/packages/perl-File-Map/Changes
  0.65      2017-10-30 13:37:57+01:00 Europe/Amsterdam
  - Fix mapping into a hash element
  - Fix compilation warning by giving boot function a proper return type
  - Take into account sleep 0.1 may sleep a little less
* Thu Jun  2 2016 coolo@suse.com
- updated to 0.64
  see /usr/share/doc/packages/perl-File-Map/Changes
  0.64      2015-07-13 12:50:12+02:00 Europe/Amsterdam
    Fix segfault in empty mappings
    Skip tainting tests on non-tainting perls
  0.63      2014-09-12 18:27:17+02:00 Europe/Amsterdam
    Fix error message on unknown protect mode
  0.62      2014-08-16 14:34:48+02:00 Europe/Amsterdam
    Reuse perl's reentrant API
    Skip setlocale on android
  0.61      2013-10-04 21:36:19 Europe/Amsterdam
    Improve 64 bit pointer logic on Windows
  0.60      2013-08-11 01:20:06 Europe/Amsterdam
    Upgrade dependency to Test::Warnings 0.005
  0.59      2013-08-09 11:04:45 Europe/Amsterdam
    Explicitly depend on Test::Warnings 0.004
  0.58      2013-08-08 23:18:15 Europe/Amsterdam
    Converted from Test::Exception to Test::Fatal
    Converted Test::Warn and Test::NoWarnings to Test::Warnings
* Tue Jul 16 2013 coolo@suse.com
- initial package 0.57
  * created by cpanspec 1.78.06
